package com.example.onlinejudge.controller;

import com.example.onlinejudge.model.entity.result.Result;
import com.example.onlinejudge.model.entity.result.ResultCode;
import com.example.onlinejudge.model.enums.QuestionSubmitLanguageEnum;
import com.example.onlinejudge.service.QuestionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "提交判题")
@RestController
@RequestMapping("/api/judge")
@Slf4j
public class JudgeController {
    @Autowired
    private QuestionService questionService;

    @ApiOperation(value = "上传代码进行判题")
    @PostMapping("/insertDataset")
    public Result insertDataset(){

        return Result.success();
    }

    @ApiOperation(value = "提交代码")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "code", value = "代码", required = true, dataType = "String", paramType = "body"),
            @ApiImplicitParam(name = "questionId", value = "问题id", required = true, dataType = "String", paramType = "body"),
            @ApiImplicitParam(name = "language", value = "语言", required = true, dataType = "String", paramType = "body"),
            @ApiImplicitParam(name = "userCases", value = "用户自定义测试用例", required = false, dataType = "String", paramType = "body"),
            @ApiImplicitParam(name = "judgeMode", value = "判题模式", required = true, dataType = "int", paramType = "body"),

    })
    @PostMapping("/submitCode")
    public Result submitCode(@RequestParam("code") String code,
                             @RequestParam("questionId") String questionID,
                             @RequestParam("language")String language,
                             @RequestParam(defaultValue = "", value = "userCases") String userCases,
                             @RequestParam(value = "judgeMode") Integer judgeMode) {
        return null;
//                questionService.receiveCode(Long.parseLong(questionID), code, language, userCases, judgeMode);
    }
}
