package com.example.onlinejudge.judge;

import com.example.onlinejudge.judge.strategy.DefaultJudgeStrategy;
import com.example.onlinejudge.judge.strategy.JavaLanguageJudgeStrategy;
import com.example.onlinejudge.judge.strategy.JudgeContext;
import com.example.onlinejudge.judge.strategy.JudgeStrategy;
import com.example.onlinejudge.model.dto.questionSubmit.JudgeInfo;
import com.example.onlinejudge.model.entity.QuestionSubmit;

/**
 * 判题管理（简化调用）
 */
public class JudgeManager {

        /**
        * 执行判题
        *
        * @param judgeContext
        * @return
        */
        JudgeInfo doJudge(JudgeContext judgeContext) {
            QuestionSubmit questionSubmit = judgeContext.getQuestionSubmit();
            String language = questionSubmit.getLanguage();
            JudgeStrategy judgeStrategy = new DefaultJudgeStrategy();
            if ("java".equals(language)) {
                judgeStrategy = new JavaLanguageJudgeStrategy();
            }
            return judgeStrategy.doJudge(judgeContext);
        }
}
