package com.example.onlinejudge.model.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

@ApiModel("题目")
@Data
public class Question {

    @ApiModelProperty("题目ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty("题目标题")
    private String title;

    @ApiModelProperty("题目内容")
    private String content;

    @ApiModelProperty("题目标签（json数组）")
    private String tags;

    @ApiModelProperty("题目答案")
    private String answer;

    @ApiModelProperty("题目提交数")
    private Integer submitNum;

    @ApiModelProperty("题目通过数")
    private Integer acceptedNum;

    @ApiModelProperty("判题用例（json 数组）")
    private String judgeCase;

    @ApiModelProperty("判题配置（json 对象）")
    private String judgeConfig;

    @ApiModelProperty("创建用户 id")
    private Long userId;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("是否删除")
    @TableLogic
    private Integer isDelete;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
